﻿import com.delfiweb.command._MacroCommand;
/**
* @class MacroCommand 
* @author Cédric Néhémie
* @version 0.1
* description :  Commande permettant de regrouper un certain nombre de sous-commandes @ executer
*/
class com.delfiweb.command.MacroCommand implements _MacroCommand
{
	private var _aCommandes:Array;
	
	
	/**
	* @method MacroCommand
	* @description : Constructeur de la commande
	*/
	public function MacroCommand()
	{
		_aCommandes = new Array();
	}
	
	
	/**
	* @method addCommand
	* @param oCommand (_Command) N'importe qu'elle type de commande à ajouté
	* description :  Permet d'ajouter une commande a notre MacroCommande
	*/
	public function addCommand(oCommand:_Command):Void
	{
		_aCommandes.push(oCommand);
	} 
	
	
	/**
	* @method execute
	* description :  Execute la commande
	*/
	public function execute():Void
	{
		var l:Number = _aCommandes.length;
		for (var i:Number = 0; i<l; i++) _aCommandes[i].execute();
	}
	
	
	/**
	* @method toString
	* sortie : String
	*/	
	public function toString():String
	{
		return "MacroCommand\n{\n\t"+_aCommandes.join("\n\t")+"\n}";
	}
}